import java.awt.*;
import java.awt.event.*;

public class Preview extends Frame implements ActionListener, ItemListener {
	
	JavaMapperFrame frame;
	
	private TextArea text;
	private String mode = "client";
	
	private Checkbox client,server;
	
	public Preview(JavaMapperFrame frame) {
		super("");
		this.frame = frame;
		
		text = new TextArea();
		text.setEditable(false);
		
		Panel bottomPanel = new Panel();
		
		CheckboxGroup clientserver = new CheckboxGroup();
		client = new Checkbox("client-side", clientserver,true);
		client.addItemListener(this);
		server = new Checkbox("server-side", clientserver,false);
		server.addItemListener(this);
		
		bottomPanel.add(client);
		bottomPanel.add(server);

		setLayout(new BorderLayout());
		add("Center",text);
		add("South",bottomPanel);

		setBackground(new Color(192,192,192));		
		setSize(400,300);
		this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				close();
		}});
	}
	
	public void setMode(String mode) {
		this.mode = mode;
		if (mode=="client") {
			setTitle("Preview Client-Side Map");
			client.setState(true);
		}
		if (mode=="server") {
			setTitle("Preview Server-Side Map");
			server.setState(true);
		}
		refresh();
	}
	
	public void refresh() {
		text.setText(frame.canvas.tool.getCode(mode));
	}

	public void actionPerformed(ActionEvent e) {
/*		Button b = (Button)(e.getSource());
		String l = b.getLabel();
		if (l=="Refresh") frame.refreshPreview();
		else if (l=="Close") close();*/
	}

	public void itemStateChanged(ItemEvent e) {
		if (e.getStateChange() == ItemEvent.SELECTED) {
			Checkbox c = (Checkbox)(e.getSource());
			if (c==client) setMode("client");
			else if (c==server) setMode("server");
		}
	}

	private void close() {
		System.out.println("Closing Preview");
		setVisible(false);
	}

}
